Skip to main content
PUT
/
assets
/
{id}
Update asset by ID
curl --request PUT \
  --url https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/assets/{id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "title": "",
  "status": "",
  "customer_id": "",
  "maintenance_agreement_id": "",
  "asset_category_id": "",
  "asset_type": "",
  "is_template": "",
  "tag": "",
  "location": "",
  "install_date": "",
  "manufacturer": "",
  "model": "",
  "model_number": "",
  "serial_number": "",
  "model_year": "",
  "model_details": "",
  "warranty_expiration": "",
  "labor_warranty_expiration": "",
  "warranty_information": "",
  "labor_warranty_information": "",
  "condition": "",
  "issues": "",
  "notes": "",
  "job_ids": ""
}
'

Documentation Index

Fetch the complete documentation index at: https://fieldpulse.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
default:your-api-key-here
required

Path Parameters

id
string
required

Body

application/json

The body is of type object.

Response

200 - application/json

Successful response